Subject: Re: [PATCH] Avoid C++ comments, use C comments instead

From: Paul Serice <[email-masked]>
Date: Mon, 10 Jul 2006 14:14:17 -0500

> Given than you can find gcc on pretty much everything that has a
> filesystem cache decent enough to handle git correctly, is this cost
> worth it?  _That_ was the question.

I've seen this argument before.  Unfortunately it seems reasonable
enough on the surface, and I actually bought into it much to may later
regret.

My experience is that gcc often produces buggy code, and if gcc is not
_the_ compiler for that platform, those bugs do not get fixed.
Specifically, I have had lots of problems with gcc and IRIX.

If you want to write portable code, you have to take into account
different operating systems _and_ different compilers.  Writing your
code for just a single compiler is almost as bad as writing your code
for just a single operating system.

Paul Serice